LAMMPS WWW Site - LAMMPS Documentation - LAMMPS Mailing List Archives
Re: [lammps-users] packages
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [lammps-users] packages

From: Axel Kohlmeyer <akohlmey@...24...>
Date: Sat, 4 Nov 2017 07:41:21 -0400

On Sat, Nov 4, 2017 at 6:50 AM, Monika Choudhary <mc805@...7210...> wrote:
Hi Michal

I was following the steps that you have said to follow.
And now I am stuck with this.


nobody will be able to help you properly (without going insane in the process) unless you also study the LAMMPS manual and understand what you are being asked to do (or what is suggested in a tutorial) instead of just blindly ​typing stuff without having any sense what this will do.

thus please find yourself somebody local, that has experience in compiling software from sources with makefiles and have that person explain the steps as described in the LAMMPS manual to you. unless you understand what is meant by "make machine", you will remain stuck.



Makefile:159: recipe for target 'machine' failed
make: *** [machine] Error 1

On Sat, Nov 4, 2017 at 4:00 AM, Michał Kański <michal.kanski@...2460...> wrote:

Please always add LAMMPS mailing list to recipients.

The tutorial you've linked to is outdated. You only need to go to the "src" directory, install (by make yes- commands) packages you require, and type "make machine". If you had overwritten any Makefile files, you should delete the entire LAMMPS directory and unpack it again.


From: Monika Choudhary <mc805@...7210...>
Sent: Friday, November 3, 2017 8:49:07 PM
To: Michał Kański
Subject: Re: [lammps-users] packages
Hi Michal

I am trying to rebuild it
and coming out with more mess

Earlier there was a problem with fdt command but now I am not even able to execute-- make ubuntu

I am following this link to rebuild

Attachment:Error (while using make ubuntu)

On Fri, Nov 3, 2017 at 8:18 PM, Michał Kański <michal.kanski@...2460...> wrote:
Are you certain you use the recompiled executable? The directory path suggests you downloaded 23Oct17 LAMMPS version yet the output starts with "17 Nov 2015".


On 3 November 2017 12:29:30 CET, Monika Choudhary <mc805@...7210...> wrote:
Hi Micheal

Yes I did that also
Initially I installed the package
and after that I recompiled using -------   "make mpi"

Even after this I am getting the same error.

Attached is the screenshot -

On Fri, Nov 3, 2017 at 4:44 PM, Michał Kański <michal.kanski@...2460...> wrote:
"make yes-" only prepares files for compilation. You have to recompile LAMMPS.

More information here:


On 3 November 2017 08:50:17 CET, Monika Choudhary <mc805@...7210...> wrote:
Is it possible to install packages after installing LAMMPS.
Actually I have already installed all the packages but when I was using pair_style dpd/ftd it is showing some error like unknown pair style.

so I tried to reinstall it by using following command

make no-USER-DPD
make yes-USER-DPD

and when I am checking the package status using make pacjkage status then it is coming in the list.

I don't know what went wrong.

Check out the vibrant tech community on one of the world's most
engaging tech sites,!
lammps-users mailing list

Dr. Axel Kohlmeyer  akohlmey@...12...24...
College of Science & Technology, Temple University, Philadelphia PA, USA
International Centre for Theoretical Physics, Trieste. Italy.